/*
 * This file is part of QMAFW
 *
 * Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies). All rights
 * reserved.
 *
 * Contact: Visa Smolander <visa.smolander@nokia.com>
 *
 * This software, including documentation, is protected by copyright controlled
 * by Nokia Corporation. All rights are reserved. Copying, including
 * reproducing, storing, adapting or translating, any or all of this material
 * requires the prior written consent of Nokia Corporation. This material also
 * contains confidential information which may not be disclosed to others
 * without the prior written consent of Nokia.
 *
 */

#ifndef MAFWUPDATEFETCHER_H
#define MAFWUPDATEFETCHER_H

#include <QObject>
#include <QStringList>

class MafwUpdateFetcher  : public QObject
{
    Q_OBJECT

public:

    /**
      * Increase subscriber count
      */
    virtual void subscribe() = 0;
    /**
      * Decrease subscriber count
      */
    virtual void unsubscribe() = 0;

signals:

    /**
      * Signals added items
      * @param rows List of items added
      */
    void rowsAdded( const QList<QStringList>& rows);
    /**
      * Signals updated items
      * @param rows List of items updated
      */
    void rowsUpdated( const QList<QStringList>& row );
};

#endif // MAFWUPDATEFETCHER_H
